﻿using System;
using System.ComponentModel;
using System.Web.UI;
using System.Web.UI.WebControls;
using Microsoft.IdentityModel.Claims;
using Microsoft.SharePoint.Utilities;
using Microsoft.SharePoint.WebPartPages;
using Microsoft.Sample.ContentWeb.ClaimsSecurity;
using System.Text;
using System.Web;

namespace Microsoft.Sample.ContentWeb.WebParts.ClaimsWebPart
{
    [ToolboxItemAttribute(false)]
    public class ClaimsWebPart : WebPart
    {
        private const string _ascxPath = @"~/_CONTROLTEMPLATES/ClaimsSecurity/ClaimsView.ascx";

        protected override void CreateChildControls()
        {
            if (!HttpContext.Current.Response.IsRequestBeingRedirected)
            {
                ClaimsView control = (ClaimsView)Page.LoadControl(_ascxPath);
                base.CreateChildControls();
                this.Controls.Add(control);
            }
        }
    }
}
