﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Sample.ContentWeb.ClaimsSecurity
{
    /// <summary>
    /// Claim type mappings are currently immutable!
    /// </summary>
    class ContentWebClaimTypes
    {
        public static string ContentWebClaimTypePrefix = @"http://contentweb.microsoft.com";
        public static string PersonnelNumber = ContentWebClaimTypePrefix + @"/PersonnelNumber";
        public static string Alias = ContentWebClaimTypePrefix + @"/Alias";
        public static string FullName = ContentWebClaimTypePrefix + @"/FullName";
        public static string CompanyCode = ContentWebClaimTypePrefix + @"/CompanyCode";
        public static string UserType = ContentWebClaimTypePrefix + @"/UserType";
        public static string UserSubType = ContentWebClaimTypePrefix + @"/UserSubType";
        public static string Manager = ContentWebClaimTypePrefix + @"/Manager";
        public static string HROrg = ContentWebClaimTypePrefix + @"/HROrg";
        public static string HRPro = ContentWebClaimTypePrefix + @"/HRPro";
        public static string Partner = ContentWebClaimTypePrefix + @"/Partner";
        public static string Leader = ContentWebClaimTypePrefix + @"/Leader";
        public static string VP = ContentWebClaimTypePrefix + @"/VP";
        public static string CountryCode = ContentWebClaimTypePrefix + @"/CountryCode";
        public static string Level = ContentWebClaimTypePrefix + @"/Level";
        public static string Profession = ContentWebClaimTypePrefix + @"/Profession";
        public static string Discipline = ContentWebClaimTypePrefix + @"/Discipline";
        public static string StandardTitle = ContentWebClaimTypePrefix + @"/StandardTitle";
        public static string Blocked = ContentWebClaimTypePrefix + @"/Blocked";
        public static string BlockedRedirect = ContentWebClaimTypePrefix + @"/BlockedRedirect";
        public static string VPAPersonnelNumber = ContentWebClaimTypePrefix + @"/VPAPersonnelNumber";
        public static string VPAAlias = ContentWebClaimTypePrefix + @"/VPAAlias";
        public static string VPAFullName = ContentWebClaimTypePrefix + @"/VPAFullName";
        public static string CompoundClaim = ContentWebClaimTypePrefix + @"/CompoundClaim";
        public static string Message = ContentWebClaimTypePrefix + @"/Message";
    }
}
